Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class RequestBaseType

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.RequestBaseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SignRequest, VerifyRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:14:10+01:00",
               comments="JAXB RI v2.3.6")
    public class RequestBaseType

extends Object
implements Serializable

Java class for RequestBaseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RequestBaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}OptionalInputs" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}InputDocuments" minOccurs="0"/>
           </sequence>
           <attribute name="RequestID" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Profile" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RequestBaseType()`

Method Summary
`InputDocuments` | `getInputDocuments()` Gets the value of the inputDocuments property.
`AnyType` | `getOptionalInputs()` Gets the value of the optionalInputs property.
`String` | `getProfile()` Gets the value of the profile property.
`String` | `getRequestID()` Gets the value of the requestID property.
`void` | `setInputDocuments(InputDocuments value)` Sets the value of the inputDocuments property.
`void` | `setOptionalInputs(AnyType value)` Sets the value of the optionalInputs property.
`void` | `setProfile(String value)` Sets the value of the profile property.
`void` | `setRequestID(String value)` Sets the value of the requestID property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestBaseType

    public RequestBaseType()

Method Detail

### getOptionalInputs

    public AnyType getOptionalInputs()

  Gets the value of the optionalInputs property.

  Returns:
    possible object is `AnyType`

### setOptionalInputs

    public void setOptionalInputs(AnyType value)

  Sets the value of the optionalInputs property.

  Parameters:
    `value` - allowed object is `AnyType`

### getInputDocuments

    public InputDocuments getInputDocuments()

  Gets the value of the inputDocuments property.

  Returns:
    possible object is `InputDocuments`

### setInputDocuments

    public void setInputDocuments(InputDocuments value)

  Sets the value of the inputDocuments property.

  Parameters:
    `value` - allowed object is `InputDocuments`

### getRequestID

    public String getRequestID()

  Gets the value of the requestID property.

  Returns:
    possible object is `String`

### setRequestID

    public void setRequestID(String value)

  Sets the value of the requestID property.

  Parameters:
    `value` - allowed object is `String`

### getProfile

    public String getProfile()

  Gets the value of the profile property.

  Returns:
    possible object is `String`

### setProfile

    public void setProfile(String value)

  Sets the value of the profile property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.